package com.javaseleniumtemplate.flows;

import com.javaseleniumtemplate.pages.TransferenciaDeEstoquePage;

public class TransferenciaDeEstoqueFlows {
    TransferenciaDeEstoquePage transferenciaDeEstoquePage;

    public TransferenciaDeEstoqueFlows(){transferenciaDeEstoquePage = new TransferenciaDeEstoquePage();}



    public void preencherFiltroTransferenciaDeEstoque(String desUnidade, String almoxarifadoOrigem, String almoxarifadoDestino){
        transferenciaDeEstoquePage.limparFiltro();
        transferenciaDeEstoquePage.clicarIconeUnidade();
        transferenciaDeEstoquePage.campoBusca();
        transferenciaDeEstoquePage.campoUnidade(desUnidade);
        transferenciaDeEstoquePage.selecionarTransferenciaDeEstoque();
        transferenciaDeEstoquePage.clicarCampoData();
        transferenciaDeEstoquePage.selecionarDataInicial();
        transferenciaDeEstoquePage.clicarBotaoFiltroOK();
        transferenciaDeEstoquePage.clicarAlmoxarifadoOrigem();
        transferenciaDeEstoquePage.campoBusca();
        transferenciaDeEstoquePage.campoAlmoxarifadoOrigem(almoxarifadoOrigem);
        transferenciaDeEstoquePage.selecionarAlmoxarifadoOrigem();
        transferenciaDeEstoquePage.clicarAlmoxarifadoDestino();//VEr o porque ta dando erro nessa parte
        transferenciaDeEstoquePage.campoBusca();
        transferenciaDeEstoquePage.campoAlmoxarifadoDestino(almoxarifadoDestino);
        transferenciaDeEstoquePage.selecionarAlmoxarifadoDestino();
        transferenciaDeEstoquePage.aplicarFilro();

    }
    public void realizarTransferenciaDeEstoque(String campoProduto, String campoLote, String campoQuantidade){


        transferenciaDeEstoquePage.clicarBotaoAdicionar();
        transferenciaDeEstoquePage.aguardarBotaoVisualizarExibir();
        transferenciaDeEstoquePage.clicarSalvar();
        transferenciaDeEstoquePage.adicionarProduto();
        transferenciaDeEstoquePage.clicarCampoNome();
        transferenciaDeEstoquePage.campoBusca();
        transferenciaDeEstoquePage.campoProduto(campoProduto);
        transferenciaDeEstoquePage.selecionarProduto();
        transferenciaDeEstoquePage.selecionarLote();
        transferenciaDeEstoquePage.selecionarLoteExistente();
        transferenciaDeEstoquePage.selecionarIconeLote();
        transferenciaDeEstoquePage.campoBusca();
        transferenciaDeEstoquePage.selecionarCampoLote(campoLote);
        transferenciaDeEstoquePage.clicarEmConfirmar();
        transferenciaDeEstoquePage.selecionarQuantidade(campoQuantidade);
        transferenciaDeEstoquePage.clicarEmAdicionar();
        transferenciaDeEstoquePage.clicarEmSalvar();
    }


    public void editarTransferenciaDeEstoque(String campoProdutoEditado,String campoLote, String campoQuantidade){

        transferenciaDeEstoquePage.localizarALmoxarifadoEditado();
        transferenciaDeEstoquePage.selecionarAlmoxarifadoEditado();
        transferenciaDeEstoquePage.clicarEditar();
        transferenciaDeEstoquePage.clicarSalvar();
        transferenciaDeEstoquePage.clicarAbaProduto();
        transferenciaDeEstoquePage.botaoAdicionarEdicao();
        transferenciaDeEstoquePage.clicarCampoNome();
        transferenciaDeEstoquePage.campoBusca();
        transferenciaDeEstoquePage.selecionarProdutoEdicao(campoProdutoEditado);
        transferenciaDeEstoquePage.selecionarSegundoProduto();
        transferenciaDeEstoquePage.selecionarLote();
        transferenciaDeEstoquePage.selecionarLoteExistente();
        transferenciaDeEstoquePage.selecionarIconeLote();
        transferenciaDeEstoquePage.campoBusca();
        transferenciaDeEstoquePage.selecionarCampoLote(campoLote);
        transferenciaDeEstoquePage.selecionarLote();
        transferenciaDeEstoquePage.clicarEmConfirmar();
        transferenciaDeEstoquePage.selecionarQuantidade(campoQuantidade);
        transferenciaDeEstoquePage.clicarEmAdicionar();
        transferenciaDeEstoquePage.clicarEmSalvar();


    }
    public void excluirTransferenciaDeEstoque(){
        transferenciaDeEstoquePage.clicarBotaoAlmoxarifadoExcluir();
        transferenciaDeEstoquePage.botaoExcluir();
        transferenciaDeEstoquePage.clicarEmSim();


    }
}
